
Name: bluez-alsa
Version: 2.1.0
Release: %mkrel 1
Summary: BlueZ ALSA backend for Linux
License: MIT
Group: Sound
URL: https://github.com/Arkq/bluez-alsa
Source: %name-%version.tar.xz

Provides: alsa-plugins-bluealsa = %version
Provides: bluealsa = %version

BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libbsd)
BuildRequires:	pkgconfig(sbc)
BuildRequires:	pkgconfig(fdk-aac)
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	liblame-devel
BuildRequires:	pkgconfig(check)
BuildRequires:	pkgconfig(ofono)
BuildRequires:	pkgconfig(edbus)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(upower-glib)

Requires:	alsa bluez sbc liblame mpg123 fdk-aac dbus readline lib64bsd0 ncurses

%description
This project is a rebirth of a direct integration between Bluez and ALSA.

With this application (later named as BlueALSA), one can achieve the same goal
as with PulseAudio, but with less dependencies and more bare-metal-like.
BlueALSA registers all known Bluetooth audio profiles in Bluez, so in theory
every Bluetooth device (with audio capabilities) can be connected. In order to
access the audio stream, one has to connect to the ALSA PCM device called
bluealsa. The device is based on the ALSA software PCM plugin.

%prep
%setup -q -n %name-%version

%build
autoreconf -vfi
%configure2_5x \
	--enable-aac \
	--enable-mpg123 \
	--enable-mp3lame \
	--enable-upower \
	--enable-ofono \
	--enable-msbc


%install
%make DESTDIR=%buildroot install

# Remove static and metalink libraries
find %{buildroot} \( -name *.a -o -name *.la \) -exec rm {} \;

%files
%doc README.md LICENSE AUTHORS bluealsa-api.txt
%_bindir/*
%_libdir/alsa-lib/*.so
%_sysconfdir/alsa/conf.d
%_sysconfdir/dbus-1/system.d/*.conf

%changelog
* Mon Apr 27 2020 onkelho <oh.quait at gmail.com> - 2.1.0-1pclos2020
- initbuild

